org.modeshape.jcr

## Class TimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jcr.RepositoryException
      - - org.modeshape.jcr.TimeoutException

- All Implemented Interfaces:
    Serializable

      public class TimeoutException
      extends RepositoryException

  An exception that signals a timeout has occurred.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutException(String message)` Create a new timeout exception with the specified message and cause.
    `TimeoutException(String message, Throwable rootCause)` Create a new timeout exception with the specified message and cause.
    `TimeoutException(Throwable rootCause)` Create a new timeout exception with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeoutException

          public TimeoutException(String message,
                          Throwable rootCause)

      Create a new timeout exception with the specified message and cause.
      Parameters:
        `message` - the message
        `rootCause` - the cause

    - #### TimeoutException

          public TimeoutException(String message)

      Create a new timeout exception with the specified message and cause.
      Parameters:
        `message` - the message

    - #### TimeoutException

          public TimeoutException(Throwable rootCause)

      Create a new timeout exception with the specified message and cause.
      Parameters:
        `rootCause` - the cause

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.